Agents
List organization capture agents
Path Parameters
organizationId*string
Format
uuidQuery Parameters
page?integer
Range
0 <= valueDefault
0pageSize?integer
Range
1 <= value <= 100Default
20q?string
Length
length <= 256status?string
Value in
- "pending"
- "online"
- "offline"
- "decommissioned"
Header Parameters
x-organization-role*string
Portal impersonation role (pair with x-organization-id)
Value in
- "ORG_ADMIN"
- "ORG_MEMBER"
x-organization-id*string
Must match the organizationId path segment
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/agents" \ -H "x-organization-role: ORG_ADMIN" \ -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "items": [ { "id": "string", "name": "string", "status": "string", "hostname": "string", "platform": "string", "agentVersion": "string", "lastHeartbeatAt": "2019-08-24T14:15:22Z", "enabled": true } ], "total": 0}{ "message": "string"}{ "message": "string"}